---
name: Alex Cohen
locality:
country: Remote
role: <a href="">Director, Go-to Market Planning and Operations</a>
reports_to: jakebielecki
picture: alexcohen.png
pronouns: he/him
pronunciation:
twitter:
gitlab: alex.cohen
departments:
- Field Operations
expertise:
story: 'Alex is a hands-on, data-driven business professional interested in problem
  solving across Go-To-Market, Finance, and Product organizations in the technology
  industry. He''s passionate about data analytics and using it to drive company strategy,
  scale operations, and inform financial results. Prior experience at Salesforce and
  in Management Consulting. Outside of work, Alex enjoys music (playing bass with
  local bands and attending concerts), as well as traveling, cooking, learning new
  languages, and spending as much time as possible outside.

  '
job_title: Senior Director, Go-to Market Planning and Operations
division: Sales
public: true

